[metadata]
name = atom_py
provides = atom_py
description = A library to interact with the atoms.
long_description = file: README.md
long_description_content_type = text/x-md
author = Juan Martinez-Sykora et al.
license = BSD 2-Clause
license_files = LICENSE.rst
url = https://gitlab.com/LMSAL_HUB/sims_hub/eb_hub/atom_py
platform = any
keywords = astronomy, astrophysics, solar physics, space, science
classifiers =
  Development Status :: 2 - Pre-Alpha
  Intended Audience :: Science/Research
  License :: OSI Approved :: BSD License
  Natural Language :: English
  Operating System :: OS Independent
  Programming Language :: Python
  Programming Language :: Python :: 3
  Programming Language :: Python :: 3.8
  Programming Language :: Python :: 3.9
  Programming Language :: Python :: 3.10
  Programming Language :: Python :: 3.11
  Topic :: Scientific/Engineering :: Physics
  Topic :: Scientific/Engineering :: Astronomy

[options]
zip_safe = True
python_requires = >=3.8
package_dir=
    =src
packages=find:
include_package_data = True
setup_requires =
  setuptools_scm
install_requires =
  astropy
  numpy
  scipy
  matplotlib

[options.packages.find]
where=src

[options.extras_require]
tests =
  pytest-astropy
docs =
  sphinx

[pycodestyle]
max_line_length = 120

[flake8]
max-line-length = 120

[isort]
balanced_wrapping = True
default_section = THIRDPARTY
include_trailing_comma = True
length_sort = False
length_sort_sections=stdlib
line_length = 110
multi_line_output = 3
no_lines_before = LOCALFOLDER
sections = STDLIB, THIRDPARTY, FIRSTPARTY, LOCALFOLDER
